import os
import pyotp
from dotenv import load_dotenv

# Load the .env file
load_dotenv()
totp_token = os.getenv("TOTP_KEY")

def get_totp() -> int:
    totp = pyotp.TOTP(totp_token)
    otp = totp.now()

    return otp

if __name__ == "__main__":
    print(get_totp())